## CCMKeybind CCMKeybind |

## Synopsis

                        CCMKeybind;
    CCMKeybind*         ccm_keybind_new                     (CCMScreen *screen,
                                                             gchar *keystring,
                                                             gboolean exclusive);

## Object Hierarchy

      GObject
       +----CCMKeybind

## Signals

      "key-motion"                                     : Run Last
      "key-press"                                      : Run Last
      "key-release"                                    : Run Last

## Description

## Details

### CCMKeybind

    typedef struct _CCMKeybind CCMKeybind;

### ccm_keybind_new ()

    CCMKeybind*         ccm_keybind_new                     (CCMScreen *screen,
                                                             gchar *keystring,
                                                             gboolean exclusive);

`screen` : |
`keystring` : |
`exclusive` : |
Returns : |

## Signal Details

### The `"key-motion"` signal

    void                user_function                      (CCMKeybind *ccmkeybind,
                                                            gint        arg1,
                                                            gint        arg2,
                                                            gpointer    user_data)       : Run Last

`ccmkeybind` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"key-press"` signal

    void                user_function                      (CCMKeybind *ccmkeybind,
                                                            gpointer    user_data)       : Run Last

`ccmkeybind` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"key-release"` signal

    void                user_function                      (CCMKeybind *ccmkeybind,
                                                            gpointer    user_data)       : Run Last

`ccmkeybind` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.